autoweka.instancegenerators

## Class Default

- java.lang.Object
- - autoweka.InstanceGenerator
  - - autoweka.instancegenerators.Default

-     public class Default
      extends InstanceGenerator

  The most lame of InstanceGenerators, does nothing

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class autoweka.InstanceGenerator

      `InstanceGenerator.NestedArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default(InstanceGenerator generator)`
    `Default(java.lang.String instanceFileName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `weka.core.Instances` | `_getTestingFromParams(java.lang.String params)`
    `weka.core.Instances` | `_getTrainingFromParams(java.lang.String params)`
    `java.util.List<java.lang.String>` | `getAllInstanceStrings(java.lang.String paramStr)` Gets a list of all the 'params' Strings that can be used with this InstanceGenerator.

    - ### Methods inherited from class autoweka.InstanceGenerator

      `create, create, getAllInstanceFeatures, getTesting, getTestingFromParams, getTraining, getTrainingFromParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default(InstanceGenerator generator)

    - #### Default

          public Default(java.lang.String instanceFileName)

  - ### Method Detail

    - #### _getTrainingFromParams

          public weka.core.Instances _getTrainingFromParams(java.lang.String params)

      Specified by:
        `_getTrainingFromParams` in class `InstanceGenerator`

    - #### _getTestingFromParams

          public weka.core.Instances _getTestingFromParams(java.lang.String params)

      Specified by:
        `_getTestingFromParams` in class `InstanceGenerator`

    - #### getAllInstanceStrings

          public java.util.List<java.lang.String> getAllInstanceStrings(java.lang.String paramStr)

      Description copied from class: `InstanceGenerator`
      Gets a list of all the 'params' Strings that can be used with this InstanceGenerator. For example, the for 10-fold Cross Validation this method would return 10 Strings defining each fold
      Specified by:
        `getAllInstanceStrings` in class `InstanceGenerator`
      Parameters:
        `paramStr` - The parameters.
      Returns:
        The list of parameters.